<?php
/**
 * Downloads Manager "Add new" page
 * All parts not Copy/Pasted are (c) 2008 Firestryke31, All Rights Reserved.
 * 
 * I had to look through the style module to figure out how to get this to work,
 * because documentation of adding a page to the Admin CP SUCKS
 * (along with almost everything else about MyBB Plugin Development documentation)
 * 
 * I give permission to anyone to look through this to learn how to do what I did.
 */
 
/** 
* Polish Language File developed by mybboard.pl for Downloads Manager 1.1
* Tłumaczenie: Ekipa Polskiego Supportu MyBB(tlumacze at mybboard.pl) 
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0 **/ 

// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

//require_once MYBB_ADMIN_DIR."inc/functions_dlmngr.php";

$lang->load("downloads");

$page->add_breadcrumb_item($lang->downloads_dlmngr_addnew, "index.php?module=dlmngr/addnew");

// set up default values
$title = "Nazwa";
$desc_short = "Krótki opis";
$description = "Pełny opis";
$fid = "1";

if($mybb->input['save']=="save")
{
	$filename = basename( $_FILES['downloadfile']['name']);
	$preview = basename( $_FILES['previewfile']['name']);
	if($filename=="")
	{	// we have to have a download file
		flash_message($lang->downloads_dlmngr_nofile, 'error');
	}
	else
	{
		// write stuff to database
		if(!move_uploaded_file($_FILES['downloadfile']['tmp_name'], MYBB_ROOT.$mybb->settings['downloads_downloadsdir']."/".$filename))
		{	// There was a problem with uploading the file
			flash_message($lang->downloads_dlmngr_problem_dl.$_FILES['downloadfile']['error'], 'error');
			
			// set the values so the user doesn't have to retype them
			$title = $mybb->input['title'];
			$desc_short = $mybb->input['desc_short'];
			$description = $mybb->input['description'];
			$fid = $mybb->input['fid'];
		}
		else
		{
			if($preview == "" || move_uploaded_file($_FILES['previewfile']['tmp_name'], MYBB_ROOT.$mybb->settings['downloads_previewdir']."/".$preview))
			{
				$insert_array = array(
					"title"		=> $mybb->input['title'],
					"desc_short"	=> $mybb->input['desc_short'],
					"description"	=> $db->escape_string($mybb->input['description']),
					"fid"		=> $mybb->input['fid'],
					"cat"		=> $mybb->input['cat'],
					"preview"		=> $preview,
					"filename"	=> $filename,
				);
				$db->insert_query("downloads", $insert_array);
				flash_message($filename.$lang->downloads_dlmngr_uploaded , 'success');
			}
			else
			{	// there was a problem uploading the preview
			
				// remove the download file
				unlink(MYBB_ROOT.$mybb->settings['downloads_previewdir']."/".$filename);
				flash_message($lang->downloads_dlmngr_problem_pr.$_FILES['previewfile']['error'], 'error');
				
				// set the values so the user doesn't have to retype them
				$title = $mybb->input['title'];
				$desc_short = $mybb->input['desc_short'];
				$description = $mybb->input['description'];
				$fid = $mybb->input['fid'];
			}
		}
	}
}


// start the page
$page->output_header($lang->downloads_dlmngr_addnew);

// create a new form for our new upload
$form = new Form("index.php?module=dlmngr/addnew", "post", "", 1);

// create the standard form container
$form_container = new FormContainer($lang->downloads_dlmngr_addnew);

// create the save flag
echo $form->generate_hidden_field("save", "save", array('id' => "save"))."\n";

// create text inputs
$form_container->output_row($lang->downloads_dlmngr_title, $lang->downloads_dlmngr_title_desc, $form->generate_text_box('title', $title, array('id' => 'title')), 'title');
$form_container->output_row($lang->downloads_dlmngr_desc_short, $lang->downloads_dlmngr_desc_short_desc, $form->generate_text_box('desc_short', $desc_short, array('id' => 'desc_short')), 'desc_short');
$form_container->output_row($lang->downloads_dlmngr_description, $lang->downloads_dlmngr_description_desc, $form->generate_text_area('description', $description, array('id' => 'description', 'style' =>'width: 100%;')), 'description');

$form_container->output_row($lang->downloads_dlmngr_fid, $lang->downloads_dlmngr_fid_desc, $form->generate_forum_select('fid', $dlitem['fid'], array('id' => 'fid', 'main_option' => $lang->none)), 'fid');

$query = $db->simple_select("downloads_catlist", "*", "1=1");
while($cat = $db->fetch_array($query))
{
	$categories[$cat['catid']] = $cat['title'];
}
$form_container->output_row($lang->downloads_dlmngr_cat, $lang->downloads_dlmngr_cat_desc, $form->generate_select_box('cat', $categories, $dlitem['cat'], array('id' => 'cat')), 'cat');

// create file upload boxes
$form_container->output_row($lang->downloads_dlmngr_preview, $lang->downloads_dlmngr_addpreview_desc, $form->generate_file_upload_box("previewfile", array('style' => 'width: 230px;')), 'preview');
$form_container->output_row($lang->downloads_dlmngr_filename, $lang->downloads_dlmngr_addfilename_desc, $form->generate_file_upload_box("downloadfile", array('style' => 'width: 230px;')), 'filename');

// close the form container
$form_container->end();

// create the save button
$buttons[] = $form->generate_submit_button($lang->downloads_dlmngr_save);

// wrap up the form
$form->output_submit_wrapper($buttons);
$form->end();

// end the page
$page->output_footer();

?>