<?php
/**
 * Downloads Manager "Manage" page
 * All parts not Copy/Pasted are (c) 2008 Firestryke31, All Rights Reserved.
 * 
 * I had to look through the style module to figure out how to get this to work,
 * because documentation of adding a page to the Admin CP SUCKS
 * (along with almost everything else about MyBB Plugin Development documentation)
 * 
 * I give permission to anyone to look through this to learn how to do what I did.
 */
 
/** 
* Polish Language File developed by mybboard.pl for Downloads Manager 1.1
* Tłumaczenie: Ekipa Polskiego Supportu MyBB(tlumacze at mybboard.pl) 
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0 **/ 

// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

// load language strings
$lang->load("downloads");

// add our page to the navigation links
$page->add_breadcrumb_item($lang->downloads_dlmngr_manage, "index.php?module=dlmngr/manage");

if($mybb->input['action']=="" || $mybb->input['action']=="delete")
{	// we're not editing an entry

	if($mybb->input['action']=="delete")
	{	// remove the entry from the database
		$dlid = $mybb->input['dlid'];
		$db->delete_query("downloads","dlid='$dlid'");
	}
	
	// output standard page stuff, with our title
	$page->output_header($lang->downloads_dlmngr_manage);
	
	// create the page table, and add the column headers
	$table = new Table;
	$table->construct_header($lang->downloads_dlmngr_project);
	$table->construct_header($lang->controls, array("class" => "align_center", "width" => 150));
	
	// get the downloads
	$query = $db->simple_select("downloads", "dlid, title, desc_short, preview", "1=1 ORDER BY 'dlid' DESC");

	while($dlitem = $db->fetch_array($query))
	{	// display each download
	
		// get some info about the download
		$projectname = $dlitem['title'];
		$dlid = $dlitem['dlid'];
		$desc_short = $dlitem['desc_short'];
		
		// create the "Edit/Delete" popup menu
		$popup = new PopupMenu("project_$dlid", $lang->options);
		// Add the items
		$popup->add_item($lang->downloads_dlmngr_edit, "index.php?module=dlmngr/manage&amp;action=edit&amp;dlid=$dlid");
		$popup->add_item($lang->downloads_dlmngr_delete, "index.php?module=dlmngr/manage&amp;action=delete&amp;dlid=$dlid");
		
		// create the info cell
		// construct_cell(content, array(html modifiers))
		$table->construct_cell("<a href=\"index.php?module=dlmngr/manage&amp;action=edit&amp;dlid=$dlid\"><strong>".$projectname."</strong></a><br /><span style=\"font-size: 75%;\">".$desc_short."</span>");
		// create the menu cell
		$table->construct_cell($popup->fetch(), array("class" => "align_center"));
		
		// output the row
		$table->construct_row();
	}

	// display the table with our title
	$table->output($lang->downloads_dlmngr_manage);
	
	// wrap up the page with the standard footer
	$page->output_footer();
}
else if($mybb->input['action']=="edit")
{	// we're editing a project download

	// get the project ID
	$dlid = $mybb->input['dlid'];

	// check if the user just saved
	if($mybb->input['save']=="save")
	{	// error checking
		if(!file_exists(MYBB_ROOT.$mybb->settings['downloads_downloadsdir']."/".$mybb->input['filename']) || $mybb->input['filename']=="")
		{	// download file doesn't exist
			flash_message($lang->downloads_dlmngr_baddownload, 'error');
		}
		else if(!file_exists(MYBB_ROOT.$mybb->settings['downloads_previewdir']."/".$mybb->input['preview']) && $mybb->input['preview']!="")
		{	// preview isn't empty and doesn't exist
			flash_message($lang->downloads_dlmngr_badpreview, 'error');
		}
		else
		{	// no errors
		
			// write stuff to database
			$update_array = array(
				"title"		=> $mybb->input['title'],
				"desc_short"	=> $mybb->input['desc_short'],
				"description"	=> $db->escape_string($mybb->input['description']),
				"fid"		=> $mybb->input['fid'],
				"cat"		=> $mybb->input['cat'],
				"preview"		=> $mybb->input['preview'],
				"filename"	=> $mybb->input['filename'],
			);
			$db->update_query("downloads", $update_array, "dlid='$dlid'");
			
			// tell the user success and continue editing
			flash_message($lang->downloads_dlmngr_saved, 'success');
		}
	}
	
	// display navigation link
	$page->add_breadcrumb_item($lang->downloads_dlmngr_edit, "index.php?module=dlmngr/manage&amp;action=edit&amp;dlid=$dlid");
	
	// Standard header
	$page->output_header($lang->downloads_dlmngr_edit);
	
	// create a form to edit our project
	$form = new Form("index.php?module=dlmngr/manage&amp;action=edit&amp;dlid=$dlid", "post", "", 1);
	
	$query = $db->simple_select("downloads", "*", "dlid = $dlid");
	$dlitem = $db->fetch_array($query);
	
	// if the user tried to save, don't wipe all of the entered fields in case of error
	if($mybb->input['save']=="save")
	{
		$dlitem['title'] = $mybb->input['title'];
		$dlitem['desc_short'] = $mybb->input['desc_short'];
		$dlitem['description'] = $mybb->input['description'];
		$dlitem['fid'] = $mybb->input['fid'];
		$dlitem['cat'] = $mybb->input['cat'];
	}
	
	// create a standard form container
	$form_container = new FormContainer($lang->downloads_dlmngr_edit);
	
	// create the save flag
	echo $form->generate_hidden_field("save", "save", array('id' => "save"))."\n";
	
	// display the text fields
	// output_row(title, desc, item, something I just set to the same as the ID)
	// generate_INPUTTYPE(name, vlaue, array(html modifiers))
	$form_container->output_row($lang->downloads_dlmngr_title, $lang->downloads_dlmngr_title_desc, $form->generate_text_box('title', $dlitem['title'], array('id' => 'title')), 'title');
	$form_container->output_row($lang->downloads_dlmngr_desc_short, $lang->downloads_dlmngr_desc_short_desc, $form->generate_text_box('desc_short', $dlitem['desc_short'], array('id' => 'desc_short')), 'desc_short');
	$form_container->output_row($lang->downloads_dlmngr_description, $lang->downloads_dlmngr_description_desc, $form->generate_text_area('description', $dlitem['description'], array('id' => 'description', 'style' =>'width: 100%;')), 'description');

	$form_container->output_row($lang->downloads_dlmngr_fid, $lang->downloads_dlmngr_fid_desc, $form->generate_forum_select('fid', $dlitem['fid'], array('id' => 'fid', 'main_option' => $lang->none)), 'fid');

	$query = $db->simple_select("downloads_catlist", "*", "1=1");
	while($cat = $db->fetch_array($query))
	{
		$categories[$cat['catid']] = $cat['title'];
	}
	$form_container->output_row($lang->downloads_dlmngr_cat, $lang->downloads_dlmngr_cat_desc, $form->generate_select_box('cat', $categories, $dlitem['cat'], array('id' => 'cat')), 'cat');
 
	$form_container->output_row($lang->downloads_dlmngr_preview, $lang->downloads_dlmngr_preview_desc, $form->generate_text_box('preview', $dlitem['preview'], array('id' => 'preview')), 'preview');
	$form_container->output_row($lang->downloads_dlmngr_filename, $lang->downloads_dlmngr_filename_desc, $form->generate_text_box('filename', $dlitem['filename'], array('id' => 'filename')), 'filename');
	
	// end the container
	$form_container->end();
	
	// add the save button
	$buttons[] = $form->generate_submit_button($lang->downloads_dlmngr_save);
	
	// display and end
	$form->output_submit_wrapper($buttons);
	$form->end();
	
	// end the page
	$page->output_footer();
}

?>